/* 统一样式开始 */
.main-title {
  text-align: center;
  color: #594af0;
  font-size: 32px;
  font-family: '思源字体-Heavy';
}
.sub-title {
  text-align: center;
  color: #330b07;
  font-family: '思源字体-Medium';
  font-weight: normal;
}
/* 统一样式结束 */
#act-page {
  position: relative;
  max-width: 1920px;
  margin: 0 auto;
  /* 页面背景 */
  /* 轮播图 */
  /* 时间限制和额度限制 */
  /* 支持的游戏 */
  /* 优秀案例 */
  /* 优秀案例弹窗 */
  /* 页面遮罩层 */
}
#act-page .page-bg {
  position: absolute;
  width: 100%;
  height: 100%;
  background: url(../img/page_bg_1.png) no-repeat center center;
  background-size: cover;
  z-index: -10;
}
#act-page .carousel {
  width: 100%;
  overflow: hidden;
  margin-bottom: 50px;
}
#act-page .carousel .mySwiper {
  position: relative;
}
#act-page .carousel .mySwiper .swiper-wrapper .swiper-slide a img {
  display: block;
  width: 100%;
}
#act-page .carousel .mySwiper .swiper-pagination {
  bottom: 30px;
}
#act-page .carousel .mySwiper .swiper-pagination .swiper-pagination-bullet {
  background-color: #fff;
  opacity: 1;
  margin: 0 8px;
}
#act-page .carousel .mySwiper .swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
  background-color: #24d97d;
  width: 40px;
  border-radius: 10px;
}
#act-page .limit-box {
  margin-bottom: 50px;
}
#act-page .limit-box .limit-content {
  position: relative;
  display: flex;
  padding: 165px 0;
  overflow: hidden;
}
#act-page .limit-box .limit-content .time-limit {
  position: relative;
  width: 50%;
  max-height: 379px;
  text-align: center;
  transform: translateY(-50%);
  transition: transform 0.7s linear;
}
#act-page .limit-box .limit-content .time-limit p {
  font-family: '思源字体-bold';
  font-size: 30px;
  color: #6633ff;
}
#act-page .limit-box .limit-content .time-limit ul {
  text-align: left;
  width: 442px;
  height: 96px;
  margin: 80px auto 0 auto;
}
#act-page .limit-box .limit-content .time-limit ul li {
  list-style: disc;
  line-height: 2;
}
#act-page .limit-box .limit-content .time-limit ul li::marker {
  color: #24d97d;
}
#act-page .limit-box .limit-content .time-limit ul li span {
  color: #594af0;
}
#act-page .limit-box .limit-content .time-limit .dot-box {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
}
#act-page .limit-box .limit-content .time-limit .dot-box .dot-1 {
  position: absolute;
  width: 100%;
  height: 100%;
  background: url(../img/time_dot1.png) no-repeat center 10%;
  animation: dot1_move 5s ease-in-out 0s infinite alternate none running;
}
#act-page .limit-box .limit-content .time-limit .dot-box .dot-2 {
  position: absolute;
  width: 100%;
  height: 100%;
  background: url(../img/time_dot2.png) no-repeat 70% 10%;
  animation: dot2_move 3s ease-in-out 0s infinite alternate none running;
}
#act-page .limit-box .limit-content .quota-limit {
  position: relative;
  width: 50%;
  text-align: center;
  transform: translateY(50%);
  transition: transform 0.7s linear;
}
#act-page .limit-box .limit-content .quota-limit p {
  font-family: '思源字体-bold';
  font-size: 30px;
  color: #6633ff;
}
#act-page .limit-box .limit-content .quota-limit ul {
  text-align: left;
  width: 442px;
  height: 96px;
  margin: 80px auto 0 auto;
}
#act-page .limit-box .limit-content .quota-limit ul li {
  list-style: disc;
  line-height: 1.5;
  margin-bottom: 20px;
}
#act-page .limit-box .limit-content .quota-limit ul li::marker {
  color: #24d97d;
}
#act-page .limit-box .limit-content .quota-limit ul li:last-of-type {
  margin-bottom: 0;
}
#act-page .limit-box .limit-content .quota-limit ul li span {
  color: #594af0;
}
#act-page .limit-box .limit-content .quota-limit .dot-box {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
}
#act-page .limit-box .limit-content .quota-limit .dot-box .dot-1 {
  position: absolute;
  width: 100%;
  height: 100%;
  background: url(../img/quota_dot1.png) no-repeat 60% 5%;
  animation: dot1_move 5s ease-in-out 0s infinite alternate none running;
}
#act-page .limit-box .limit-content .quota-limit .dot-box .dot-2 {
  position: absolute;
  width: 100%;
  height: 100%;
  background: url(../img/quota_dot2.png) no-repeat 55% 10%;
  animation: dot2_move 3s ease-in-out 0s infinite alternate none running;
}
#act-page .game-list {
  margin-bottom: 200px;
}
#act-page .game-list .g-carousel-box {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  overflow: hidden;
  margin-top: 50px;
}
#act-page .game-list .g-carousel-box .g-carousel-list {
  display: flex;
  transform: translateX(215px);
  transition: transform 0.5s linear;
}
#act-page .game-list .g-carousel-box .g-carousel-list .g-carousel-item {
  position: relative;
  margin-right: 30px;
  cursor: pointer;
}
#act-page .game-list .g-carousel-box .g-carousel-list .g-carousel-item:last-of-type {
  margin: 0;
}
#act-page .game-list .g-carousel-box .g-carousel-list .g-carousel-item:last-of-type .gc-img {
  width: auto;
}
#act-page .game-list .g-carousel-box .g-carousel-list .g-carousel-item .gc-img {
  width: 400px;
  display: block;
  border-radius: 10px;
}
#act-page .game-list .g-carousel-box .g-carousel-list .g-carousel-item .gc-img-logo {
  height: 80px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 10;
  opacity: 1;
  pointer-events: none;
  transition: opacity 0.4s ease-in-out;
}
#act-page .game-list .g-carousel-box .g-carousel-list .g-carousel-item .no-h-mask {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  background-color: #000;
  opacity: 0.5;
  border-radius: 10px;
  box-sizing: border-box;
  transition: opacity 0.5s ease-in-out;
}
#act-page .game-list .g-carousel-box .g-carousel-list .g-carousel-item .h-mask {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  background-image: linear-gradient(to top, #594af0 10%, #24d97d 70%);
  opacity: 0;
  border-radius: 10px;
  box-sizing: border-box;
  transition: opacity 0.5s ease-in-out;
}
#act-page .game-list .g-carousel-box .g-carousel-list .g-carousel-item .h-img-name {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -300%);
  font-family: '思源字体-bold';
  font-size: 33px;
  color: #fff;
  white-space: nowrap;
  opacity: 0;
  transition: all 0.5s ease-in-out;
}
#act-page .game-list .g-carousel-box .g-carousel-list .g-carousel-item .h-btn {
  position: absolute;
  width: 174px;
  height: 49px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, 200%);
  margin: auto;
  color: #fff;
  text-align: center;
  line-height: 49px;
  border: 1px solid #fff;
  border-radius: 20px;
  box-sizing: border-box;
  font-weight: normal;
  font-family: '思源字体-Medium';
  font-size: 20px;
  opacity: 0;
  transition: all 0.5s ease-in-out;
  overflow: hidden;
}
#act-page .game-list .g-carousel-box .g-carousel-list .g-carousel-item .h-btn span {
  position: absolute;
  left: 0;
  top: 0;
  background-color: #ffffff;
  transform: translate(-50%, -50%);
  pointer-events: none;
  border-radius: 50%;
  opacity: 0.5;
}
#act-page .game-list .g-carousel-box .gc-control {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 50px;
}
#act-page .game-list .g-carousel-box .gc-control .gc-prev-btn {
  position: relative;
  width: 60px;
  height: 60px;
  background: url(../img/prev_btn.png) no-repeat;
  background-size: 100%;
  cursor: pointer;
  margin-right: 25px;
}
#act-page .game-list .g-carousel-box .gc-control .gc-prev-btn::after {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  background: url(../img/hover_btn.png) no-repeat;
  opacity: 0;
}
#act-page .game-list .g-carousel-box .gc-control .gc-prev-btn:hover::after {
  opacity: 1;
}
#act-page .game-list .g-carousel-box .gc-control .gc-progress-bar {
  position: relative;
  width: 742px;
  height: 6px;
  background-color: #d3d3d3;
  border-radius: 5px;
  box-sizing: border-box;
}
#act-page .game-list .g-carousel-box .gc-control .gc-progress-bar span {
  position: absolute;
  height: 100%;
  background-color: #594af0;
  border-radius: 5px;
  box-sizing: border-box;
  transition: transform 0.5s linear;
}
#act-page .game-list .g-carousel-box .gc-control .gc-next-btn {
  position: relative;
  width: 60px;
  height: 60px;
  background: url(../img/next_btn.png) no-repeat;
  background-size: 100%;
  cursor: pointer;
  margin-left: 25px;
}
#act-page .game-list .g-carousel-box .gc-control .gc-next-btn::after {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  background: url(../img/hover_btn.png) no-repeat;
  opacity: 0;
}
#act-page .game-list .g-carousel-box .gc-control .gc-next-btn:hover::after {
  opacity: 1;
}
#act-page .case-box {
  margin-bottom: 210px;
  overflow: hidden;
}
#act-page .case-box .case {
  position: relative;
  height: 711px;
  margin-top: 50px;
  background: url(../img/case_bg1.png) no-repeat right center;
}
#act-page .case-box .case .case-desc {
  position: absolute;
  width: 1083px;
  height: 393px;
  top: 0;
  bottom: 0;
  left: 0;
  right: 320px;
  margin: auto;
  background: url(../img/case_bg2.png) no-repeat;
}
#act-page .case-box .case .case-desc .mySwiper2 {
  overflow: hidden;
}
#act-page .case-box .case .case-desc .mySwiper2 .swiper-slide {
  opacity: 0;
  transition: opacity 1.5s;
}
#act-page .case-box .case .case-desc .mySwiper2 .swiper-slide.swiper-slide-active {
  opacity: 1;
}
#act-page .case-box .case .case-desc .mySwiper2 .swiper-slide .cd-txt {
  padding: 45px 110px;
}
#act-page .case-box .case .case-desc .mySwiper2 .swiper-slide .cd-txt h3 {
  position: relative;
  font-size: 32px;
  color: #fff;
}
#act-page .case-box .case .case-desc .mySwiper2 .swiper-slide .cd-txt p {
  margin-top: 15px;
  line-height: 2;
  padding-right: 225px;
}
#act-page .case-box .case .case-desc .mySwiper2 .swiper-slide .cd-txt p:first-of-type {
  margin-top: 20px;
  line-height: normal;
}
#act-page .case-box .case .case-desc .mySwiper2 .swiper-slide .cd-txt p span {
  color: #fff;
  font-size: 16px;
  font-weight: normal;
}
#act-page .case-box .case .case-desc .mySwiper2 .swiper-slide .cd-txt p span:first-of-type {
  font-weight: bold;
}
#act-page .case-box .case .case-desc .case-btn-box {
  display: flex;
  justify-content: space-between;
  padding: 0 70px 0 110px;
}
#act-page .case-box .case .case-desc .case-btn-box .view-detail {
  position: relative;
  width: 206px;
  height: 54px;
  line-height: 54px;
  text-align: center;
  font-size: 18px;
  color: #fff;
  letter-spacing: 2px;
  border: 1px solid #bdb7f9;
  border-radius: 30px;
  cursor: pointer;
  overflow: hidden;
}
#act-page .case-box .case .case-desc .case-btn-box .view-detail span {
  position: absolute;
  left: 0;
  top: 0;
  background-color: rgba(255, 255, 255, 0.3);
  transform: translate(-50%, -50%);
  pointer-events: none;
  border-radius: 50%;
  opacity: 0.5;
}
#act-page .case-box .case .case-desc .case-btn-box .switch-btn {
  display: flex;
}
#act-page .case-box .case .case-desc .case-btn-box .switch-btn .s-left-btn {
  position: relative;
  width: 60px;
  height: 60px;
  background: url(../img/s_btn_box.png) no-repeat;
  margin-right: 5px;
  cursor: pointer;
}
#act-page .case-box .case .case-desc .case-btn-box .switch-btn .s-left-btn.swiper-button-disabled {
  opacity: 0.35;
  cursor: auto;
  pointer-events: none;
}
#act-page .case-box .case .case-desc .case-btn-box .switch-btn .s-left-btn::after {
  content: '';
  position: absolute;
  width: 8px;
  height: 12px;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  background: url(../img/s_btn.png) no-repeat;
  transition: transform 0.5s ease-in-out;
}
#act-page .case-box .case .case-desc .case-btn-box .switch-btn .s-left-btn:hover::after {
  transform: translateX(-5px);
}
#act-page .case-box .case .case-desc .case-btn-box .switch-btn .s-right-btn {
  position: relative;
  width: 60px;
  height: 60px;
  background: url(../img/s_btn_box.png) no-repeat;
  margin-left: 5px;
  cursor: pointer;
}
#act-page .case-box .case .case-desc .case-btn-box .switch-btn .s-right-btn.swiper-button-disabled {
  opacity: 0.35;
  cursor: auto;
  pointer-events: none;
}
#act-page .case-box .case .case-desc .case-btn-box .switch-btn .s-right-btn::after {
  content: '';
  position: absolute;
  width: 8px;
  height: 12px;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  background: url(../img/s_btn.png) no-repeat;
  transform: scale(-1) translateX(0px);
  transition: transform 0.5s ease-in-out;
}
#act-page .case-box .case .case-desc .case-btn-box .switch-btn .s-right-btn:hover::after {
  transform: scale(-1) translateX(-5px);
}
#act-page .popup-box {
  position: fixed;
  width: 720px;
  height: 242px;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  background: url(../img/popup_box.png) no-repeat;
  z-index: 30;
  display: none;
}
#act-page .popup-box p {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-size: 16px;
  color: #606060;
  padding: 0 50px;
}
#act-page .popup-box .pb-close-btn {
  position: absolute;
  width: 53px;
  height: 53px;
  top: 0;
  right: -70px;
  background: url(../img/popup_close_btn.png) no-repeat;
  cursor: pointer;
}
#act-page .page-mask {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  top: 0;
  left: 0;
  z-index: 20;
  display: none;
}
@keyframes dot1_move {
  0% {
    transform: translate3d(0, 23px, 0) scale(1);
  }
  50% {
    transform: translate3d(0, 0, 0) scale(1.1);
  }
  100% {
    transform: translate3d(0, -23px, 0) scale(1);
  }
}
@keyframes dot2_move {
  0% {
    transform: translate3d(0, -23px, 0) scale(1);
  }
  50% {
    transform: translate3d(0, 0, 0) scale(1.1);
  }
  100% {
    transform: translate3d(0, -23px, 0) scale(1);
  }
}
@keyframes enter_result_1 {
  0% {
    width: 0;
    height: 0;
    opacity: 0.5;
  }
  100% {
    width: 420px;
    height: 420px;
    opacity: 0.5;
  }
}
@keyframes leave_result_1 {
  0% {
    width: 420px;
    height: 420px;
    opacity: 0.5;
  }
  100% {
    width: 0;
    height: 0;
    opacity: 0.5;
  }
}
@keyframes enter_result_2 {
  0% {
    width: 0;
    height: 0;
    opacity: 0.5;
  }
  100% {
    width: 360px;
    height: 360px;
    opacity: 0.5;
  }
}
@keyframes leave_result_2 {
  0% {
    width: 360px;
    height: 360px;
    opacity: 0.5;
  }
  100% {
    width: 0;
    height: 0;
    opacity: 0.5;
  }
}
